import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { BehaviorSubject } from "rxjs";
import { GlobalStateService, PageInfoService } from 'tango-app-ui-global';
import { TraxService } from '../../services/trax.service';
import { Router, ActivatedRoute } from "@angular/router";
import { HeaderFilter, FlagsTableData, IFlagCards, IFlagComparisonCards, FlagCardsByType } from './flags-new.interface';
import { FormControl } from '@angular/forms';
import dayjs from 'dayjs';
import * as i0 from "@angular/core";
export declare class FlagsNewComponent implements OnInit, OnDestroy {
    gs: GlobalStateService;
    private changeDetector;
    private traxService;
    private router;
    private pageInfo;
    private route;
    private destroy$;
    itemsPerPage: number;
    currentPage: number;
    totalItems: number;
    selectedFlag: any;
    userEmailes: any;
    paginationSizes: number[];
    pageSize: number;
    sortColumName: string;
    sortDirection: number;
    headerData: HeaderFilter | null | undefined;
    traxMonthlyComparisonData: any;
    dayjs: typeof dayjs;
    flagsTableApiState: BehaviorSubject<"initial" | "loading" | "loaded">;
    flagsTableData: FlagsTableData[];
    cardMetricsApiState: BehaviorSubject<"initial" | "loading" | "loaded">;
    cardMetricsData: IFlagCards | null | undefined;
    cardMetricsComparisonData: IFlagComparisonCards | null | undefined;
    searchInput: FormControl;
    filterInput: FormControl;
    cardMetricsDataByType: FlagCardsByType | null | undefined;
    filterValues: {
        label: string;
        value: string;
    }[];
    dateComparisonType: 'daily' | 'weekly' | 'monthly';
    constructor(gs: GlobalStateService, changeDetector: ChangeDetectorRef, traxService: TraxService, router: Router, pageInfo: PageInfoService, route: ActivatedRoute);
    ngOnDestroy(): void;
    ngOnInit(): void;
    setPageData(): void;
    getChecklistFlagMetrics(): void;
    getChecklistFlagMetricsComparison(): void;
    getFlagsTable(): void;
    onFlagsTableExport(): void;
    sortData(column: string): void;
    onPageSizeChange(pageSize: any): void;
    onPageChange(pageOffset: any): void;
    viewInDetail(checklistId: string | undefined, type?: 'question' | 'time' | 'runAI'): void;
    dateComparisonValueChange(val: 'daily' | 'weekly' | 'monthly'): void;
    selectTabs(flag: any): void;
    checklistCountByType(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FlagsNewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FlagsNewComponent, "lib-flags-new", never, {}, {}, never, never, false, never>;
}
